{
  "models": [
    {
      "name": "PlayerRegistration",
      "synchronizable": true,
      "sideStorable": true,
      "observable": true,
      "relationshipNames": ["teamRegistration"],
      "properties": [
        {
          "name": "id",
          "type": "String",
          "defaultValue": "Store.randomId()"
        },
        {
          "name": "teamRegistration",
          "type": "String",
          "optional": true,
          "foreignKey": "TeamRegistration"
        },
        {
          "name": "firstName",
          "type": "String"
        },
        {
          "name": "lastName",
          "type": "String"
        },
        {
          "name": "licenceId",
          "type": "String",
          "optional": true
        },
        {
          "name": "rank",
          "type": "Int",
          "optional": true
        },
        {
          "name": "paymentType",
          "type": "PlayerPaymentType",
          "optional": true
        },
        {
          "name": "sex",
          "type": "PlayerSexType",
          "optional": true
        },
        {
          "name": "tournamentPlayed",
          "type": "Int",
          "optional": true
        },
        {
          "name": "points",
          "type": "Double",
          "optional": true
        },
        {
          "name": "clubName",
          "type": "String",
          "optional": true
        },
        {
          "name": "ligueName",
          "type": "String",
          "optional": true
        },
        {
          "name": "assimilation",
          "type": "String",
          "optional": true
        },
        {
          "name": "phoneNumber",
          "type": "String",
          "optional": true
        },
        {
          "name": "email",
          "type": "String",
          "optional": true
        },
        {
          "name": "birthdate",
          "type": "String",
          "optional": true
        },
        {
          "name": "computedRank",
          "type": "Int",
          "defaultValue": "0"
        },
        {
          "name": "source",
          "type": "PlayerRegistration.PlayerDataSource",
          "optional": true
        },
        {
          "name": "hasArrived",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "coach",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "captain",
          "type": "Bool",
          "defaultValue": "false"
        },
        {
          "name": "registeredOnline",
          "type": "Bool",
          "defaultValue": "false"
        }
      ]
    }
  ]
}
